header {
  display: flex;
  justify-content: space-between;
  background-color: #555566;
  color: #eeeeee;
  margin: -8px;
  height: 80px;
  box-shadow: 0 2px 5px #1c1a19;
  h1 {
    font-size: 1.5em;
    font-weight: normal;
    margin: auto;
  }
}
#here {
  color: #760001;
  border-bottom: 3px solid #760001;
  font-size: 1.1em;
}
nav {
  ul {
    list-style-type: none;
    display: flex;
  }
  li {
    margin-top: 10px;
    margin-right: 20px;
  }
  a {
    font-size: 1.3em;
    padding-bottom: 3px;
    color: #eeeeee;
    text-decoration: none;
    &:hover {
      color: #760001;
      border-bottom: 3px solid #760001;
    }
  }
}
body {
  background-color: #EEFFBB;
  caption {
    font-size: 1.5em;
  }
}
section {
  display: flex;
  margin: 10px;
}
#checkout_section {
  margin: 40px;
}
#search_name {
  display: flex;
  flex-direction: row;
  place-content: center;
  margin-top: 20px;
}
#text_input {
  flex-grow: 20;
}
#search_submit {
  flex-grow: 1;
}
#left {
  flex: 4;
  text-align: center;
}
.text_input {
  height: 30px;
  font-size: 1em;
  width: -moz-available;
}
#search_price {
  display: flex;
  flex-direction: column;
  div {
    margin: 5px;
  }
  fieldset {
    margin-top: 10px;
    margin-bottom: 10px;
  }
}
aside {
  width: -moz-fit-content;
  position: relative;
  background-color: #706b64;
  box-shadow: 0 2px 5px #1c1a19;
  border-radius: 5px;
  padding: 10px;
  color: white;
  font-size: 0.9em;
  text-align: center;
  margin: 10px;
}
#checkout_big_div {
  display: flex;
  flex-direction: row;
  input {
    margin-bottom: 10px;
    display: flex;
    flex-direction: column;
  }
  fieldset {
    text-align: left;
  }
}
#right {
  flex: 2;
  margin: 20px;
  div {
    margin: 15px;
  }
}
.search_submit {
  height: 35px;
  font-size: 1em;
}
#fiche_button {
  input {
    height: 30px;
    font-size: 0.9em;
  }
}
#lineCards {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  margin-top: 30px;
}
#card {
  display: flex;
  flex-direction: column;
  padding: 15px;
  border: 2px solid #760001;
  font-size: 0.9em;
  div {
    margin: 5px;
  }
}
#price {
  font-size: 1.4em;
  color: #760001;
}
#name {
  font-size: 1.2em;
}
#confirm_order_button {
  padding: 7px;
  font-size: 1em;
  cursor: pointer;
}
input {
  padding: 4px;
  min-width: 100px;
  border-radius: 5px;
  &:invalid {
    border-color: #991111;
  }
}
#log_button {
  cursor: pointer;
}
#search_input {
  cursor: pointer;
}
table {
  border-collapse: collapse;
  text-align: center;
}
td {
  border: 1px solid black;
  padding: 8px;
}
th {
  border: 1px solid black;
  padding: 8px;
}
footer {
  text-align: center;
  background-color: #555566;
  color: #eeeeee;
  margin: 30px -8px -8px -8px;
  padding: 40px;
  p {
    font-size: 1em;
  }
  ul {
    font-size: 1em;
  }
}
#fconteneur {
  display: flex;
  justify-content: space-around;
}
